import React, { useState, useEffect } from 'react';
import { csv } from 'd3';

const csvUrl =
  'data/points.csv';

export const useData = () => {
  const [data, setData] = useState(null);

  useEffect(() => {
    const row = d => {
      d.Time = new Date(d.Time);
      d.Value = +d.Value;
      return d;
    };
    csv(csvUrl, row).then(setData);
  }, []);
  
  return data;
};